PostgreSQL 8.0.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER OPERATOR CLASS

## Name

ALTER OPERATOR CLASS -- change the definition of an operator class

## Synopsis

    ALTER OPERATOR CLASS name USING index_method RENAME TO newname
    ALTER OPERATOR CLASS name USING index_method OWNER TO newowner

## Description

`ALTER OPERATOR CLASS` changes the definition of an operator class.

## Parameters

`name`

  The name (optionally schema-qualified) of an existing operator class.

`index_method`

  The name of the index method this operator class is for.

`newname`

  The new name of the operator class.

`newowner`

  The new owner of the operator class. You must be a superuser to change the owner of an operator class.

## Compatibility

There is no `ALTER OPERATOR CLASS` statement in the SQL standard.

## See Also

CREATE OPERATOR CLASS, DROP OPERATOR CLASS

Prev | Home | Next
ALTER OPERATOR | Up | ALTER SCHEMA